We have detected that cookies are not enabled on your browser. Please enable cookies to ensure the proper experience.
Results 1 to 6 of 6
  1. #1

    Microsoft Visual C++ 2010 redistributable package (x86) issue

    I recently downloaded lord of the rings online to my computer. After the download and installation i started up the client to find it asking to install Microsoft Visual C++ 2010 Redistributable Package, and of course i click yes. Once i do that it has a timer that ends up getting to about (0:06) before gvinh me this error message.


    System.Exception: An error occurred while installing Microsoft Visual C++ 2010 Redistributable Package (x86). Please download and install 'Microsoft Visual C++ 2010 Redistributable Package (x86)' from 'http://www.microsoft.com/en-us/download/details.aspx?id=26999' before starting TurbineLauncher.
    at com.turbine.launcher.UserContr ols.PrereqInstallControl.Insta ll()

    I go to the link and try to download it and it gives me this error report.

    Microsoft Visual C++ 2010 x86 Redistributable has not been installed because:
    Windows installer does not permit updating of managed advertised products. At least one deatur of the product must be installed before applying the update.


    I dont know what to do from here could someone please give me an idea of what to do or tell me the process it would be much appriciated

  2. #2
    I think that site downloads a security update:
    Prerequisites to apply this security update
    To apply this security update, you must have Microsoft Visual C++ 2010 Service Pack 1 installed on the computer.
    http://support.microsoft.com/kb/2565063

    I think what LotRO wants is Microsoft Visual C++ 2010 Redistributable with all updates on your computer.

  3. #3
    Quote Originally Posted by slycritter2 View Post
    Microsoft Visual C++ 2010 x86 Redistributable has not been installed because:
    Windows installer does not permit updating of managed advertised products. At least one deatur of the product must be installed before applying the update.
    Try installing from http://www.microsoft.com/en-us/downl...s.aspx?id=5555 first, restart, then run windows update.

    The error message says it's trying to apply a service pack to the MS VC++ 2010 that was never installed.

  4. #4

    Exclamation

    Quote Originally Posted by lindt View Post
    Try installing from http://www.microsoft.com/en-us/downl...s.aspx?id=5555 first, restart, then run windows update.

    The error message says it's trying to apply a service pack to the MS VC++ 2010 that was never installed.
    I have the same problem. I started up the launcher but it just says, 'Installing "Microsoft visual C++ 2010 Package."' I tried downloading it from your link but I can't open it because I'm on a MacBook! What should I do?? Please help!

  5. #5

    Exclamation Help!

    Quote Originally Posted by KevinGreenleaf View Post
    I have the same problem. I started up the launcher but it just says, 'Installing "Microsoft visual C++ 2010 Package."' I tried downloading it from your link but I can't open it because I'm on a MacBook! What should I do?? Please help!
    Please someone help! It's been weeks and I still can't open the game!! Please can someone help? It's still saying, "Microsoft visual C++ 2010 Package."'
    Please someone help!

  6. #6
    Join Date
    Jul 2016
    Location
    UK
    Posts
    3,845
    Quote Originally Posted by KevinGreenleaf View Post
    Please someone help! It's been weeks and I still can't open the game!! Please can someone help? It's still saying, "Microsoft visual C++ 2010 Package."'
    Please someone help!
    Mac users now have to use the Wine client, you need to ask these questions in the Mac section.

    This may also be of use, as the Wine client will need these files [INSTALL] New LotRO Installs - One Guide to Rule Them All. . .

 

 

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

This form's session has expired. You need to reload the page.

Reload